Add tracking category to redirects connected to Wikidata
Closed, ResolvedPublic

Description

Redirects connected to Wikidata are a glitch that sometimes causes creating duplicate items (sample). It's impossible to track this on Wikidata (neither using WDQS) but in my opinion, tracking categories on the wikis are cheap and can definitely help.

A similar case is non-existing pages connected to items but it's not possible to have non-existing pages categorized.

If a local community does not want the new tracking category introduced here (e.g. if redirects are intentionally linked to Wikidata items, and don#t need to be tracked separately), the category can be turned of by setting (for example) https://en.wikipedia.org/wiki/MediaWiki:Connected-redirect-category to contain nothing but a single dash (-). See https://www.mediawiki.org/wiki/Help:Tracking_categories for more information on how that works.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2018, 9:10 AM

Change 406268 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Wikibase@master] Add tracking category to redirects connected to an item

https://gerrit.wikimedia.org/r/406268

thiemowmde triaged this task as Low priority.Jan 26 2018, 10:56 AM
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde moved this task from Backlog to Review on the Wikidata-Sprint-2018-01-17 board.
WMDE-leszek renamed this task from Add tracking category to redirects connected to Wikidata to Add tracking category to redirects connected to Wikidata (days: 1).Jan 26 2018, 11:40 AM
Johan added a subscriber: Johan.Jan 26 2018, 3:12 PM

When would this go into production, if no one has any objections? Week after next?

Probably, yes. Since December wikidata.org is typically updated once a week.

WMDE-leszek renamed this task from Add tracking category to redirects connected to Wikidata (days: 1) to Add tracking category to redirects connected to Wikidata (days: 2).Jan 30 2018, 9:46 AM
thiemowmde closed this task as Resolved.
thiemowmde removed a project: Patch-For-Review.

Change 406268 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add tracking category to redirects connected to an item

https://gerrit.wikimedia.org/r/406268

thiemowmde renamed this task from Add tracking category to redirects connected to Wikidata (days: 2) to Add tracking category to redirects connected to Wikidata.Jan 31 2018, 6:43 PM
thiemowmde updated the task description. (Show Details)